local size = gkini.ReadInt("Vendetta", "HUDAimDirSize", 48)

local bstr = function(id, val)
	return val
end

libflag = false

local babel, ref_id
local do_babel = function()
	if lib.is_exist("babel") then
		local babel = lib.get_class("babel")
		local ref_id = babel.register("plugins/bigger aim/lang/", {'en', 'es', 'fr', 'pt'})
		
		bstr = function(id, val)
			return babel.fetch(ref_id, id, val)
		end
	end
end

local bigaim = {}
local do_class = function()
	bigaim = {
		CCD1 = true,
		open = nil,
		config = nil,
		smart_config = {
			title = bstr(1, "Bigger Aim Icon"),
			cb = function(id, val)
				if id == "set_size" then
					val = tonumber(val or "1") or 1
					if val < 1 then
						val = 1
					end
					size = val
					radar.SetAimDirIconSize(size)
				end
				if val == "_action" then
					gkini.WriteInt("Vendetta", "HUDAimDirSize", val)
				end
			end,
			[1] = 'set_size',
			set_size = {
				type = "input",
				display = bstr(2, "Set size of aim icon:"),
				default = tostring(size),
			},
			[2] = 'reminder1',
			reminder1 = {
				type = "text",
				display = bstr(3, "Default size is 48"),
			},
			[3] = 'spacer',
			spacer = {
				type = "spacer",
			},
			[4] = 'apply_option',
			apply_option = {
				type = "action",
				display = "",
				[1] = bstr(4, "Apply"),
			},
		},
		manifest = {},
		commands = {'/setaim'},
	}
	
	bigaim.open = function()
		local diag = iup.dialog {
			topmost = "YES",
			fullscreen = "YES",
			bgcolor = "0 0 0 100 *",
			iup.vbox {
				iup.fill { },
				iup.hbox {
					iup.fill { },
					iup.stationbuttonframe {
						iup.vbox {
							alignment = "ACENTER",
							iup.label {
								title = bstr(1, "Bigger Aim Icon"),
							},
							iup.fill {
								size = "%2",
							},
							iup.label {
								title = bstr(2, "Set size:"),
							},
							iup.text {
								size = "200",
								value = tostring(size),
								action = function(self)
									bigaim.smart_config.cb("set_size", self.value)
								end,
							},
							iup.label {
								title = bstr(3, "Default: 48"),
							},
							iup.fill {
								size = "%6",
							},
							iup.button {
								title = bstr(4, "Apply"),
								action = function(self)
									HideDialog(iup.GetDialog(self))
									gkini.WriteInt("Vendetta", "HUDAimDirSize", tonumber(size))
								end,
							},
						},
					},
					iup.fill { },
				},
				iup.fill { },
			},
		}
		
		diag:map()
		ShowDialog(diag)
	end
	
	bigaim.config = bigaim.open
	
	if libflag then
		lib.set_class("bigaim", "0", bigaim)
	end
end
do_class()

RegisterUserCommand("setaim", function()
	bigaim.open()
end)

RegisterEvent(function() radar.SetAimDirIconSize(size) end, "HUD_SHOW")

if type(lib) == "table" and lib[0] == "LME" then
	lib.require({{name = "babel", version = "0"}}, do_babel)
	
	do_class()
	
	lib.set_class("bigaim", "0", bigaim)
end

